Bug 1628409 - dpkg-dev has additional dependencies
Summary: dpkg-dev has additional dependencies
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dpkg
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-12 23:45 UTC by bgstack15
Modified: 2018-10-16 10:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-02 19:31:12 UTC


Attachments (Terms of Use)

Description bgstack15 2018-09-12 23:45:13 UTC
Description of problem: perl script /usr/bin/dpkg-scanpackages throws errors about not being able to find Digest/MD5.pm. A few additional files are listed, upon adding the first dependency that satisfies the MD5.pm

Version-Release number of selected component (if applicable):
dpkg-dev-1.18.25-1.el7.noarch.rpm

How reproducible:
Every time

Steps to Reproduce:
1. yum install dpkg-dev
2. dpkg-scanpackages -m . > Packages

Actual results:
Can't locate Digest/MD5.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/share/perl5/vendor_perl/Digest.pm line 41.

Expected results:
dpkg-scanpackages: info: Wrote 61 entries to output Packages file.

Additional info:
An internet search later, I learned what Provides to install:
yum install 'perl(Digest::MD5)' 'perl(Digest::SHA*)'

If these were required by the dpkg-dev package, this error would not appear.

Comment 1 Sergio Monteiro Basto 2018-09-16 14:13:42 UTC
Hi,
Thanks for the report .

in 'perl(Digest::SHA*)' why you include *, 'perl(Digest::SHA)' is not enough ? 

Thanks

Comment 2 bgstack15 2018-09-18 03:02:05 UTC
I saw that there were multiple available 'perl(Digest::SHA*)' values and decided to just get them all. Perhaps not all are needed, but I did not take the time to discern exactly which ones.

Comment 3 Fedora Update System 2018-09-23 16:04:03 UTC
dpkg-1.18.25-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a7dd4eeb7

Comment 4 Fedora Update System 2018-09-23 16:04:33 UTC
dpkg-1.18.25-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-95bfb4e086

Comment 5 Fedora Update System 2018-09-23 16:04:50 UTC
dpkg-1.18.25-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4317d3fb6f

Comment 6 Fedora Update System 2018-09-23 16:05:07 UTC
dpkg-1.18.25-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e49581b440

Comment 7 Fedora Update System 2018-09-23 19:48:16 UTC
dpkg-1.18.25-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4317d3fb6f

Comment 8 Fedora Update System 2018-09-23 20:41:38 UTC
dpkg-1.18.25-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a7dd4eeb7

Comment 9 Fedora Update System 2018-09-23 20:48:00 UTC
dpkg-1.18.25-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e49581b440

Comment 10 Fedora Update System 2018-09-23 21:39:45 UTC
dpkg-1.18.25-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-95bfb4e086

Comment 11 Fedora Update System 2018-10-02 19:31:12 UTC
dpkg-1.18.25-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-05 17:08:48 UTC
dpkg-1.18.25-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-07 21:11:30 UTC
dpkg-1.18.25-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-16 10:29:15 UTC
dpkg-1.18.25-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.